## obs-studio 27.2.4+dfsg1

=== deps/glad/CMakeLists.txt ===
project(glad)

find_package(OpenGL)

if(NOT WIN32 AND NOT APPLE)
	find_package(X11 REQUIRED)
	find_package(EGL REQUIRED)
endif()

set(glad_SOURCES
	src/glad.c
	include/glad/glad.h)

if(WIN32)
	set(MODULE_DESCRIPTION "Glad OpenGL Loading Library")
	configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in obsglad.rc)
	set(glad_PLATFORM_SOURCES
		src/glad_wgl.c
		include/glad/glad_wgl.h
		obsglad.rc)
elseif(NOT APPLE)
	set(glad_PLATFORM_SOURCES
		src/glad_egl.c
		src/glad_glx.c
		include/glad/glad_egl.h
		include/glad/glad_glx.h)
endif()

set(glad_include_dirs
	PRIVATE ${OPENGL_INCLUDE_DIR})

if (UNIX AND NOT APPLE)
list (APPEND glad_include_dirs
	PRIVATE
		${X11_X11_INCLUDE_PATH}
		${EGL_INCLUDE_DIRS})
endif()

add_library(glad SHARED
	${glad_SOURCES}
	${glad_PLATFORM_SOURCES})
set_target_properties(glad PROPERTIES
	FOLDER "deps"
	OUTPUT_NAME obsglad
	VERSION "0"
	SOVERSION "0"
	POSITION_INDEPENDENT_CODE ON)
target_include_directories(glad
	PUBLIC include
	${glad_include_dirs})
target_compile_definitions(glad
	PRIVATE GLAD_GLAPI_EXPORT_BUILD)

if(NOT MSVC)
	target_compile_options(glad
		PRIVATE -DPIC -fvisibility=hidden)
endif()

if(NOT WIN32 AND NOT APPLE)
	set(glad_PLATFORM_DEPS
		${X11_X11_LIB}
		${EGL_LIBRARIES})

	# only link to libdl on linux
	if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
		set(glad_PLATFORM_DEPS
			${glad_PLATFORM_DEPS}
			-ldl)
	endif()
endif()

target_link_libraries(glad
	${glad_PLATFORM_DEPS}
	${OPENGL_gl_LIBRARY})

install_obs_core(glad)

=== debian/changelog ===
obs-studio (27.2.4+dfsg1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable pipewire support in rules, plus its BD in control; it needs a newer
    version than Bullseye's.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 May 2022 16:33:39 -0700

obs-studio (27.2.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 27.2.4+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Apr 2022 23:36:39 +0200

=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Carl Fürstenberg <azatoth@gmail.com>,
           Sebastian Ramacher <sramacher@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-scour,
               gir1.2-rsvg-2.0,
               libasound2-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libdbus-1-dev,
               libdrm-dev,
               libfontconfig-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | libgl-dev,
               libjack-jackd2-dev,
               libjansson-dev (>= 2.5),
               libluajit-5.1-dev,
               libmbedtls-dev,
               libpci-dev,
#               libpipewire-0.3-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsimde-dev,
               libspeexdsp-dev,
               libswresample-dev,
               libswscale-dev,
               libudev-dev,
               libv4l-dev,
               libvlc-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libx264-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcomposite-dev,
               libxinerama-dev,
               python3-dev,
               python3-docutils (>= 0.6),
               python3-gi-cairo,
               qtbase5-dev,
               qtbase5-private-dev,
               swig
Standards-Version: 4.6.0
Homepage: https://obsproject.com
Vcs-Browser: https://salsa.debian.org/multimedia-team/obs-studio
Vcs-Git: https://salsa.debian.org/multimedia-team/obs-studio.git
Rules-Requires-Root: no

Package: obs-studio
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         obs-plugins (= ${binary:Version})
Recommends: v4l2loopback-dkms
Suggests: policykit-1
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Built-Using: ${simde:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains some extra plugins (ALSA, jack, decklink, vlc).

Package: libobs0
Multi-Arch: same
Section: libs
Architecture: any
Built-Using: ${simde:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Depends: libobs0 (= ${binary:Version}),
         libsimde-dev,
         libx11-dev,
         ${misc:Depends}
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_CPPFLAGS_MAINT_APPEND=-DFFMPEG_MUX_FIXED=\"/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux\"
export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_PIPEWIRE=OFF \
		-DOBS_MULTIARCH_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DUNIX_STRUCTURE=TRUE \
		-DDISABLE_UPDATE_MODULE=TRUE \
		-DBUILD_BROWSER=OFF \
		-DBUILD_VST=OFF \
		-DOBS_VERSION_OVERRIDE=${DEB_VERSION}

execute_after_dh_auto_build:
	rst2man debian/obs.rst > debian/obs.1

override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg
	mv debian/tmp/usr/bin/obs-ffmpeg-mux \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/obs-plugins/obs-ffmpeg/obs-ffmpeg-mux
	dh_install
	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license

execute_before_dh_shlibdeps:
	echo "libobs 0 libobs0 (= ${DEB_VERSION})" > debian/shlibs.local

override_dh_python3:
	dh_python3 -p obs-studio usr/share/obs/obs-plugins/frontend-tools/scripts
	dh_python3 -p obs-studio usr/lib/$(DEB_HOST_MULTIARCH)/obs-scripting

override_dh_gencontrol:
	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"

override_dh_strip:
	dh_strip --no-automatic-dbgsym
